/*! 
 * \file QR_matrix.h
 * \brief QR method header file
 * 
 * \author Joan Gimeno
 * \date 22/11/2013 (start)
 * \version 1.0
 *
 * This file contains the header for ::QR_method
 */

#ifndef QR_MATRIX_H
#define QR_MATRIX_H

#include "householder.h"

/* Function prototypes */
void * qr(size_t m, size_t n, double ** const A, double ** const QR);
void premult_Q_vector(size_t m, size_t n, double ** const QR, double * const b);
  
#endif