/*! 
 * \file householder.h
 * \brief QR method header file
 * 
 * \author Joan Gimeno
 * \date 21/01/2014 (start)
 * \version 1.0
 *
 * This file contains the header for ::QR_decomposition
 */

#ifndef HOUSEHOLDER_H
#define HOUSEHOLDER_H

#include "utils.h"

/* Function prototypes */
void * householder_matrix(size_t m, double ** const A, double * const v, size_t idx);
void * premult_matrix(size_t m, size_t n, double ** const A, double ** const QR, double * const v, double * const w, size_t idx);
#endif